package com.ssj.service.conch.parents.v2.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import com.ssj.service.conch.parents.v2.dto.KnowHowDetailDTO;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;
import org.hibernate.validator.constraints.NotEmpty;

import java.util.List;

/**
 * @author Mount Liu
 * @date 2019/4/26
 */
public class WrongBookDeleteReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

    @ApiModelProperty(name = "knowHowDetailId", value = "知识点id", required = true)
    @NotEmpty
    private List<KnowHowDetailDTO> knowHowDetailList;

    @NotBlank
    @ApiModelProperty(name = "homeworkId", value = "作业id", required = true)
    private String homeworkId;

    public List<KnowHowDetailDTO> getKnowHowDetailList() {
        return knowHowDetailList;
    }

    public void setKnowHowDetailList(List<KnowHowDetailDTO> knowHowDetailList) {
        this.knowHowDetailList = knowHowDetailList;
    }

    public String getHomeworkId() {
        return homeworkId;
    }

    public void setHomeworkId(String homeworkId) {
        this.homeworkId = homeworkId;
    }
}
